RDI et la vul­na­ri­bi­li­té LOG4J

RDI et la vul­na­ri­bi­li­té LOG4J

jeu 30 décembre 2021 0 Par Ibmiiste

Afin d’é­vi­ter des pro­blèmes avec la vul­né­ra­bi­li­té de la librai­rie Log4j, IBM a pat­ché un cer­tain nombre de ces logi­ciels dont RDI.

Evi­dem­ment c’est à condi­tion que tout le monde ait la der­nière mise à jour, on doit être à la 9.6.0.11 au jour où je vous écris, alors voi­ci un petit rap­pel sur la mise à jour de RDI.

Aller véri­fier la ver­sion que vous avez en fai­sant Aide->A pro­pos de IBM Ratio­nal Deve­lo­per for i, si vous n’êtes pas à la 9.6.0.11, faire la mise à jour.

Pour ceux qui ne l’ont pas encore ins­tal­lé, lan­cer IBM ins­tal­la­tion mana­ger et aller dans Fichier->Préférences

Véri­fier que dans les réfé­ren­tiels, vous avez : https://www.ibm.com/software/repositorymanager/com.ibm.rational.developer.ibmi.v96

Sinon l’ajouter.

Puis dans Mises à jour, cocher Recher­cher des mises à jour pour ins­tal­la­tion Manager :

Ensuite reve­nir à la page d’accueil et cli­quer sur Mettre à jour

Even­tuel­le­ment, l’application vous invi­te­ra à ins­tal­ler la der­nière ver­sion d’IBM Ins­tal­la­tion Mana­ger, suivre les ins­truc­tions. Ensuite reve­nir sur Mettre à jour.

Cocher Mettre à jour tous les packages avec les mises à jour et cor­rec­tifs recommandés

Puis faire sui­vant pour démar­rer l’installation.